
Core - Task # 51807

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54272 (Resolved): As an Editor I expect FAL to work with the RTE

Status: Resolved Priority: Should have
Author: Helmut Hummel Category: rtehtmlarea
Created: 2013-09-06 Assigned To: Stanislas Rolland
Updated: 2014-02-15 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: RTE MagicImage should use the FAL processing API and not storage-0
Description

RTE MagicImageService relies on storage 0 and does create "magic" images by using ImageMagick functions
directly instead of using the FAL processing API.

This leads to several problems after adding restrictions to storage 0

Related issues:
related to Core - Bug # 51747: Fatal Error after upgrading to 6.0.9 and 6.1.4... Resolved 2013-09-04
related to Core - Bug # 51808: ProcessedFiles need to be able to do file exis... Resolved 2013-09-06
duplicated by Core - Task # 51778: FE showing TYPO3 Exception: #1375955684: Y... Closed 2013-09-05

Associated revisions
Revision 0984d6d3 - 2014-02-07 20:52 - Stanislas Rolland

[TASK] RTE MagicImage should use FAL processing API

The RTE magic still copies images to the old upload folder and
does not use the processed file functions of FAL.

This patch changes the RTE magic so storage 0 is not used any more
and that the FAL API is used for processing the images.

Resolves: #51807
Releases: 6.2
Change-Id: I07d609f9e638d79e785be4ebfd25631c70e3d141
Reviewed-on: https://review.typo3.org/23663
Reviewed-by: Stanislas Rolland
Tested-by: Stanislas Rolland

History
#1 - 2013-09-06 11:41 - Helmut Hummel
- Category changed from File Abstraction Layer (FAL) to 1394

#2 - 2013-09-06 12:15 - Helmut Hummel
- File Uncaught_TYPO3_Exception_1375955684.txt added
Add RTE related exception from #51747

#3 - 2013-09-06 12:17 - Helmut Hummel
- File Uncaught_TYPO3_Exception_RTE_image_fileadmin_processed.txt added

Add RTE related exception from #51747

#4 - 2013-09-06 12:17 - Helmut Hummel
- File Uncaught_TYPO3_Exception_RTE_image.txt added

Add RTE related exception from #51747

#5 - 2013-09-06 15:44 - Ernesto Baschny
- Target version set to next-patchlevel

This is a dupe of #51778, right, Helmut? Could we continue on the older one only?

#6 - 2013-09-06 16:05 - Helmut Hummel

OK, for anybody having problems with the current release, please try out this

https://review.typo3.org/23660 (patch set 5)

It rolls back permission restrictions for storage 0 and should solve all problems with RTE and old extensions (like tt_news)

#7 - 2013-09-06 16:44 - Ernesto Baschny
- Is Regression set to Yes

#8 - 2013-09-06 16:44 - Ernesto Baschny
- Category changed from 1394 to rtehtmlarea

#9 - 2013-09-06 20:56 - Jürgen König

Thank you, this works for me. I can insert images in RTE again and open tx_news news.

The ResourceStorage.php does not work in this version. It throws the isMissing-Error mentioned in http://forge.typo3.org/issues/51747.

I used the original file and changed the three lines and it worked.

Thank you Thank you Thank you...

#10 - 2013-09-06 22:13 - Ernesto Baschny
- Tracker changed from Bug to Task
- Subject changed from RTE Images do not work because exceptions are thrown to RTE MagicImage should use the FAL processing API and not 
storage-0
- Target version deleted (next-patchlevel)

The bug is already solved by #51808, but anyway we want to keep this open to rework rtehtmlarea to make proper use of the FAL API in future.

I changed the subject acordingly and made it a Task. I asked Stan if he could work on that.

#11 - 2013-09-06 22:16 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23663

#12 - 2013-09-06 22:17 - Ernesto Baschny
- Tracker changed from Task to Bug

#13 - 2013-09-06 22:17 - Ernesto Baschny
- Is Regression changed from Yes to No

#14 - 2013-09-06 22:18 - Ernesto Baschny
- Tracker changed from Bug to Task

#15 - 2014-01-17 21:44 - Ernesto Baschny
- Parent task set to #54272

#16 - 2014-01-23 20:14 - Stanislas Rolland
- Estimated time set to 16.00
- Remaining (hours) set to 16.0

#17 - 2014-01-23 20:21 - Stanislas Rolland
- Assigned To set to Stanislas Rolland

#18 - 2014-01-29 18:35 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663

#19 - 2014-01-29 18:58 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663

#20 - 2014-01-31 23:41 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663
#21 - 2014-02-02 13:17 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663

#22 - 2014-02-02 13:23 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663

#23 - 2014-02-03 16:08 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663

#24 - 2014-02-04 16:22 - Stanislas Rolland
- % Done changed from 0 to 80
- Estimated time changed from 16.00 to 20.00

#25 - 2014-02-06 19:12 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23663

#26 - 2014-02-07 20:53 - Stanislas Rolland
- % Done changed from 80 to 100

#27 - 2014-02-07 21:30 - Stanislas Rolland
- Status changed from Under Review to Resolved

Applied in changeset commit:0984d6d3f9a1dd93480397c299446009d50f7786.

#28 - 2014-02-15 18:54 - Stanislas Rolland
- Estimated time changed from 20.00 to 21.00

#29 - 2014-02-15 18:54 - Stanislas Rolland
- Estimated time changed from 21.00 to 20.00

Files
Uncaught_TYPO3_Exception_1375955684.txt 6.3 kB 2013-09-06 Helmut Hummel
Uncaught_TYPO3_Exception_RTE_image_fileadmin_processed.txt 4.3 kB 2013-09-06 Helmut Hummel
Uncaught_TYPO3_Exception_RTE_image.txt 4.3 kB 2013-09-06 Helmut Hummel
